Subject: Re: [bug#50363] [PATCH v3] Improve default diff hunk header detection.

From: Kyle Meyer <[email-masked]>
Date: Sun, 19 Sep 2021 20:57:53 -0400

Sarah Morgensen writes:

> Kyle Meyer <[email-masked]> writes:
>
>> Sarah Morgensen writes:
[...]
>>>  @cindex @code{git send-email}
>>> -@cindex @code{git-send-email}
>>
>> I suspect the second variant was included to help those that are using
>> the git- variant to search (perhaps because that's how they'd refer to
>> the manpage or because they know about Git's exec path).  Not a big deal
>> either way, but keeping it around seems okay to me.
>
> Hmmm.  I originally removed it because it results in two entries in the
> index.  Perhaps I can index them as
>
>   @cindex @code{git send-email} (or @code{git-send-email})
>
> or similar.  What do you think?

I don't see having entries in the index for different variants as an
issue (although I can see the point of view that it's just noise in this
case).  As for packing them into one line, dunno, think I'd just leave
it either as it is (separate lines) or how your patch has it.

But, again, I don't think it matters much either way (and perhaps wasn't
worth me commenting on it :]).